# Interface FunctionPlotter.FuncAxis

Enclosing class:
  `FunctionPlotter`

public static interface FunctionPlotter.FuncAxis
Defines the geometric role of the dependent and independent variables for a function.

Since:
  15 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getAxisName()`
Returns the name of the geometry type for this object.
`double[]`
`getXValues(Surface surface)`
Returns the values of the independent variable at which the function must be evaluated for a given plot surface.
`boolean`
`xfToData(Surface surface, double x, double f, double[] dataPos)`
Converts the result of a function evaluation to a position in the data space of the plot.

## Method Details

### getAxisName

String getAxisName()
Returns the name of the geometry type for this object. Typically this will be the name of the axis along which the independent variable runs, if there is one.

Returns:
  function geometry name

### getXValues

double[] getXValues(Surface surface)
Returns the values of the independent variable at which the function must be evaluated for a given plot surface. The drawn line will consist of a line drawn through the function evaluations at these values of the independent variable. The result should usually include some values a bit off the edge of the visible part of the surface if applicable so that the line goes right to the edge of the clipped region.

Parameters:
  `surface` - plot surface on which function will be drawn
Returns:
  array of independent variable values

### xfToData

boolean xfToData(Surface surface, double x, double f, double[] dataPos)
Converts the result of a function evaluation to a position in the data space of the plot.

Parameters:
  `surface` - plotting surface
  `x` - independent variable
  `f` - dependent variable
  `dataPos` - nDataDim-element array to receive data position corresponding to `x`,`f(x)`
Returns:
  true iff a valid data position resulted